buffer_holder Struct Reference

## Public Member Functions

| buffer_holder (void *data_, void(*deleter_)(void *))
| ~buffer_holder ()
void * | release ()

## Public Attributes

void * | data
void(* | deleter )(void *)

## Detailed Description

Definition at line 236 of file pugixml.cpp.

## Constructor & Destructor Documentation

## buffer_holder()

buffer_holder::buffer_holder | ( | void * | data_,
|  | void(*)(void *) | deleter_
| ) |  |

inline

Definition at line 241 of file pugixml.cpp.

: data(data_), deleter(deleter_)
{
}

## ~buffer_holder()

buffer_holder::~buffer_holder | ( |  | ) |

inline

Definition at line 245 of file pugixml.cpp.

{
if (data) deleter(data);
}

References data, and deleter.

## Member Function Documentation

## release()

void* buffer_holder::release | ( |  | ) |

inline

Definition at line 250 of file pugixml.cpp.

{
void* result = data;
data = 0;
return result;
}

References data.

Referenced by load_stream_data_seek().

## Member Data Documentation

## data

void* buffer_holder::data

Definition at line 238 of file pugixml.cpp.

Referenced by load_stream_data_noseek(), load_stream_data_seek(), release(), and ~buffer_holder().

## deleter

void(* buffer_holder::deleter) (void *)

Definition at line 239 of file pugixml.cpp.

Referenced by ~buffer_holder().

The documentation for this struct was generated from the following file:

- pugixml.cpp

buffer_holder::data
void * data
Definition: pugixml.cpp:238
buffer_holder::deleter
void(* deleter)(void *)
Definition: pugixml.cpp:239